/* labels.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



#ifndef LABELS_H
#define LABELS_H






/*** labeling_event ***************************************************
   This function is called when there is an input event in the viewing
      window.  If labeling mode is on, the event is processed as a label
      creation, deletion, or movement action and 1 is returned.  Else,
      0 is returned indicating the event was not used to edit a label.
   Input:  event - a copy of the X event generated by the button press.
**********************************************************************/   
extern int labeling_event();
/*
XEvent event;
*/


/*** new_label ********************************************************
   Add a new label to the list.
   Input:  text - the label text
           x, y - position in pixels from upper-left corner of window.
**********************************************************************/
extern void new_label();
/*
char *text;
int x, y;
*/



/*** finish_making_label **********************************************
   This function is called when label_in_progress is 1 and either:
   a mouse button is pressed, <return> is pressed, or labeling mode is
   turned off.  The result is the label just typed in is saved in the
   list.
**********************************************************************/
extern void finish_making_label();




/*** draw_labels ******************************************************
   Draw all the labels.
**********************************************************************/
extern void draw_labels();


#endif

